package main

import (
	"b612.me/apps/b612/aes"
	"b612.me/apps/b612/attach"
	"b612.me/apps/b612/base64"
	"b612.me/apps/b612/base85"
	"b612.me/apps/b612/base91"
	"b612.me/apps/b612/calc"
	"b612.me/apps/b612/cert"
	"b612.me/apps/b612/detach"
	"b612.me/apps/b612/df"
	"b612.me/apps/b612/dfinder"
	"b612.me/apps/b612/dns"
	"b612.me/apps/b612/ftp"
	"b612.me/apps/b612/generate"
	"b612.me/apps/b612/hash"
	"b612.me/apps/b612/httpreverse"
	"b612.me/apps/b612/httproxy"
	"b612.me/apps/b612/httpserver"
	"b612.me/apps/b612/image"
	"b612.me/apps/b612/keygen"
	"b612.me/apps/b612/merge"
	"b612.me/apps/b612/net"
	"b612.me/apps/b612/rmt"
	"b612.me/apps/b612/search"
	"b612.me/apps/b612/smtpclient"
	"b612.me/apps/b612/smtpserver"
	"b612.me/apps/b612/socks5"
	"b612.me/apps/b612/split"
	"b612.me/apps/b612/tcping"
	"b612.me/apps/b612/uac"
	"b612.me/apps/b612/vic"
	"b612.me/apps/b612/whois"
	"b612.me/stario"
	"b612.me/starlog"
	"github.com/inconshreveable/mousetrap"
	"github.com/spf13/cobra"
)

var cmdRoot = &cobra.Command{
	Use:     "b612",
	Version: "2.1.0.beta",
}

func init() {
	cobra.MousetrapHelpText = ""
	cmdRoot.AddCommand(tcping.Cmd, uac.Cmd, httpserver.Cmd, httpreverse.Cmd,
		base64.Cmd, base85.Cmd, base91.Cmd, attach.Cmd, detach.Cmd, df.Cmd, dfinder.Cmd,
		ftp.Cmd, generate.Cmd, hash.Cmd, image.Cmd, merge.Cmd, search.Cmd, split.Cmd, vic.Cmd,
		calc.Cmd, net.Cmd, rmt.Cmds, rmt.Cmdc, keygen.Cmd, dns.Cmd, whois.Cmd, socks5.Cmd, httproxy.Cmd, smtpserver.Cmd, smtpclient.Cmd,
		cert.Cmd, aes.Cmd)
}

func main() {
	starlog.SetLevelColor(starlog.LvError, []starlog.Attr{starlog.FgHiMagenta})
	cmdRoot.Execute()
	if mousetrap.StartedByExplorer() {
		stario.StopUntil("Press Any Key to Continue...", "", true)
	}
}
